=== debian/rules ===
#!/usr/bin/make -f

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with quilt --builddirectory=build/

override_dh_clean:
	dh_clean
	rm -rf __pycache__ \
		include \
		scripts/__pycache__

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DBUILD_TESTS=OFF \
	-DBUILD_WSI_MIR_SUPPORT=OFF \
	-DVulkanHeaders_INCLUDE_DIR=../vulkan-headers/include \
	-DVulkanRegistry_DIR=../vulkan-headers/registry

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

	mkdir -p debian/tmp/usr/share/vulkan
	cp -rp vulkan-headers/include debian/tmp/usr
	cp -rp vulkan-headers/registry debian/tmp/usr/share/vulkan
	rm -rf debian/tmp/usr/share/vulkan/registry/__pycache__

override_dh_missing:
	dh_missing --fail-missing

gentarball: SOURCE=vulkan-loader
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	tar --transform 's,^,$(SOURCE)-$(UV)/,' \
		--exclude 'debian' --exclude-vcs \
		-cJf ../$(SOURCE)_$(UV).orig.tar.xz .
