=== debian/changelog ===
vulkan-loader (1.1.97-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Jan 2019 14:22:30 +0200

vulkan-loader (1.1.97-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.

  [ Jens Reyer ]
  * sync_headers.sh, watch: Modified for upstream tag format change.
  * README.source: Fixes to the workflow.
  * rules: Use dpkg library instead of dpkg-parsechangelog.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 13 Jan 2019 16:50:01 +0200
