=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@ --with quilt --builddirectory=build/
@@ -33,9 +34,7 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-gentarball: SOURCE=vulkan-loader
-gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
 gentarball:
-	tar --transform 's,^,$(SOURCE)-$(UV)/,' \
+	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
 		--exclude 'debian' --exclude-vcs \
-		-cJf ../$(SOURCE)_$(UV).orig.tar.xz .
+		-cJf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz .
