=== debian/watch ===
version=3

opts="repack,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/vulkan-loader-$1.tar.gz/" \
 https://github.com/KhronosGroup/Vulkan-Loader/tags (?:.*?/)v(\d[\d.]*)\.tar\.gz
