## vulkan-loader 1.1.101.0

=== debian/changelog ===
vulkan-loader (1.1.101.0-2) unstable; urgency=medium

  * rules: Enable tests, but expect most of them to fail since there's
    no software driver yet.
  * control, rules: Drop quilt from build-depends/dh since this is a
    format 3.0 pkg.
  * rules: Update the clean target.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Mar 2019 18:38:57 +0200

vulkan-loader (1.1.101.0-1) unstable; urgency=medium

  * New upstream release.
  * sync_headers.sh, watch: Revert back to using tags which upstream has
    validated as release tags.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Mar 2019 15:43:23 +0200
