=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: debhelper (>= 11),
  cmake,
+ googletest,
  libwayland-dev,
  libx11-dev,
  libxcb1-dev,
  libxrandr-dev,
  pkg-config,
  python3,
- quilt,
 Standards-Version: 4.2.0
 Section: libs
 Homepage: https://github.com/KhronosGroup/Vulkan-Loader
