=== debian/rules ===
--- 
+++ 
@@ -6,22 +6,29 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with quilt --builddirectory=build/
+	dh $@ --builddirectory=build/
 
 override_dh_clean:
 	dh_clean
 	rm -rf __pycache__ \
 		include \
-		scripts/__pycache__
+		scripts/__pycache__ \
+		vulkan-headers/registry/__pycache__
+	rm -f external/googletest
 
 override_dh_auto_configure:
+	ln -s /usr/src/googletest external
+
 	dh_auto_configure -- \
 	-DCMAKE_BUILD_TYPE=Release \
 	-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	-DBUILD_TESTS=OFF \
 	-DBUILD_WSI_MIR_SUPPORT=OFF \
 	-DVulkanHeaders_INCLUDE_DIR=../vulkan-headers/include \
 	-DVulkanRegistry_DIR=../vulkan-headers/registry
+
+override_dh_auto_test:
+	(cd build; tests/run_all_tests.sh || \
+		echo "NOTE: 23 tests expected to fail without a vulkan driver")
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
